Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.schema
Class TraverseSchema.SchemaInfo

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.TraverseSchema.SchemaInfo

Enclosing class:
  TraverseSchema

public class TraverseSchema.SchemaInfo
extends java.lang.Object

Constructor Summary
`TraverseSchema.SchemaInfo(boolean saveElementDefaultQualified, boolean saveAttributeDefaultQualified, int saveBlockDefault, int saveFinalDefault, java.lang.String savedSchemaURL, Element saveRoot, NamespacesScope saveNamespacesScope, TraverseSchema.SchemaInfo nextRoot, TraverseSchema.SchemaInfo prevRoot)`

Method Summary
`java.lang.String` | `getCurrentSchemaURL()`
`TraverseSchema.SchemaInfo` | `getNext()`
`TraverseSchema.SchemaInfo` | `getPrev()`
`Element` | `getRoot()`
`void` | `restore()`
`void` | `setNext(TraverseSchema.SchemaInfo next)`
`void` | `setPrev(TraverseSchema.SchemaInfo prev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraverseSchema.SchemaInfo

    public TraverseSchema.SchemaInfo(boolean saveElementDefaultQualified,
                                     boolean saveAttributeDefaultQualified,
                                     int saveBlockDefault,
                                     int saveFinalDefault,
                                     java.lang.String savedSchemaURL,
                                     Element saveRoot,
                                     NamespacesScope saveNamespacesScope,
                                     TraverseSchema.SchemaInfo nextRoot,
                                     TraverseSchema.SchemaInfo prevRoot)

Method Detail

### setNext

    public void setNext(TraverseSchema.SchemaInfo next)

### getNext

    public TraverseSchema.SchemaInfo getNext()

### setPrev

    public void setPrev(TraverseSchema.SchemaInfo prev)

### getCurrentSchemaURL

    public java.lang.String getCurrentSchemaURL()

### getPrev

    public TraverseSchema.SchemaInfo getPrev()

### getRoot

    public Element getRoot()

### restore

    public void restore()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.